# Public node

- [Installation Guide](https://docs.ltonetwork.com/node/public-node/installation-guide.md)
- [Mainnet & Testnet](https://docs.ltonetwork.com/node/public-node/installation-guide/lto_mainnet.md)
- [Requirements](https://docs.ltonetwork.com/node/public-node/installation-guide/requirements.md)
- [Configuration](https://docs.ltonetwork.com/node/public-node/installation-guide/configuration.md)
- [(Virtual) Machine](https://docs.ltonetwork.com/node/public-node/installation-guide/virtual_machine.md)
- [Nginx reverse proxy (optional)](https://docs.ltonetwork.com/node/public-node/installation-guide/optional-nginx-reverse-proxy.md): This page shows the steps required to setup an Nginx reverse proxy to securely access your node's API remotely.
- [Troubleshooting FAQ](https://docs.ltonetwork.com/node/public-node/installation-guide/troubleshooting-faq.md)
- [Cloud installation](https://docs.ltonetwork.com/node/public-node/cloud.md): You can participate in network validation and earn LTO.
- [Alibaba Cloud](https://docs.ltonetwork.com/node/public-node/cloud/node-alibaba-cloud.md): This page shows the 2 steps ( >:) ) needed to get an LTO Network node up and running using Alibaba Cloud, specifically Elastic Container Instances.
- [AWS Elastic Beanstalk](https://docs.ltonetwork.com/node/public-node/cloud/node-aws-elastic-beanstalk.md): This page explains in just 3 steps how to get your node up and running using AWS (Amazon Web Services) Elastic Bean Stalk Applications.
- [Google Cloud](https://docs.ltonetwork.com/node/public-node/cloud/node-google-cloud.md): This page shows the 2 steps needed to get an LTO Network node up and running using Google Cloud, specifically using the Kubernetes Engine called Google Cloud Engine.
- [IBM Cloud](https://docs.ltonetwork.com/node/public-node/cloud/node-ibm-cloud.md): This page shows the 2 steps needed to get an LTO Network node up and running using IBM Cloud, specifically Kubernetes Services.
- [Microsoft Azure](https://docs.ltonetwork.com/node/public-node/cloud/node-microsoft-azure.md): This page shows the 2 steps needed to get an LTO Network node up and running using Microsoft Azure, specifically Azure Container Instances (Not to be confused with Azure Kubernetes Services).
- [OKD (OpenShift)](https://docs.ltonetwork.com/node/public-node/cloud/node-okd-openshift.md): This page shows the 2 steps needed to get an LTO Network node up and running using OpenShift (Kubernetes) in this case the community open source distribution OKD.
- [Raspberry Pi (Expert)](https://docs.ltonetwork.com/node/public-node/cloud/node-raspberry-pi-expert.md): This page shows the steps needed to get an LTO Network node up and running using a Raspberry Pi. Please note that this is a non-straightforward, expert-level guide.
- [Ubuntu Linux with Container](https://docs.ltonetwork.com/node/public-node/cloud/node-ubuntu-linux-with-container.md): This page explains all the steps required to get your node up and running using a Ubuntu Linux (virtual) server.
- [Windows with Container](https://docs.ltonetwork.com/node/public-node/cloud/node-windows-with-container.md): This page explains in just a few steps how to get your node up and running using Windows 10 and a Docker container.
- [REST API](https://docs.ltonetwork.com/node/public-node/rest-api.md)
- [Address](https://docs.ltonetwork.com/node/public-node/rest-api/address.md)
- [Wallet](https://docs.ltonetwork.com/node/public-node/rest-api/wallet.md): API endpoints for the node's wallet
- [Lease Transactions](https://docs.ltonetwork.com/node/public-node/rest-api/lease_transactions.md)
- [Peers](https://docs.ltonetwork.com/node/public-node/rest-api/peers.md)
- [Blocks](https://docs.ltonetwork.com/node/public-node/rest-api/blocks.md)
- [Utils](https://docs.ltonetwork.com/node/public-node/rest-api/utils.md)
- [FAQ](https://docs.ltonetwork.com/node/public-node/rest-api/faq.md)
- [Security Notes](https://docs.ltonetwork.com/node/public-node/security-notes.md): Important Security Notes to Be Considered By End Users
- [FAQ](https://docs.ltonetwork.com/node/public-node/faq.md)
- [Exchange integration guide](https://docs.ltonetwork.com/node/public-node/exchange-integration-guide.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ltonetwork.com/node/public-node.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
